[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#1017869: marked as done (nfs-utils: nfs-common and nfs-kernel-server initscripts are /bin/bash and shellcheck-dirty)



Your message dated Sun, 09 Jul 2023 08:49:04 +0000
with message-id <E1qIQ6K-009SoF-Is@fasolo.debian.org>
and subject line Bug#1017869: fixed in nfs-utils 1:2.6.3-1
has caused the Debian Bug report #1017869,
regarding nfs-utils: nfs-common and nfs-kernel-server initscripts are /bin/bash and shellcheck-dirty
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
1017869: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1017869
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Source: nfs-utils
Version: 1:1.3.4-6
Severity: minor
Tags: patch

Dear Maintainer,

See subject; also, neither of them use any bash extensions.

Please consider the patch, below, based on current Salsa HEAD;
this may also close #762939.

Best,
наб

-- System Information:
Debian Release: 11.4
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable-security'), (500, 'stable-debug'), (500, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.10.0-16-amd64 (SMP w/24 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_FIRMWARE_WORKAROUND, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages nfs-common depends on:
ii  adduser             3.118
ii  keyutils            1.6.1-2
ii  libc6               2.31-13+deb11u3
ii  libcap2             1:2.44-1
ii  libcom-err2         1.46.2-2
ii  libdevmapper1.02.1  2:1.02.175-2.1
ii  libevent-2.1-7      2.1.12-stable-1
ii  libgssapi-krb5-2    1.18.3-6+deb11u1
ii  libkeyutils1        1.6.1-2
ii  libkrb5-3           1.18.3-6+deb11u1
ii  libmount1           2.36.1-8+deb11u1
ii  libnfsidmap2        0.25-6
ii  libtirpc3           1.3.1-1+deb11u1
ii  libwrap0            7.6.q-31
ii  lsb-base            11.1.0
ii  rpcbind             1.2.5-9
ii  ucf                 3.0043

Versions of packages nfs-common recommends:
ii  python3  3.9.2-3

Versions of packages nfs-common suggests:
ii  open-iscsi  2.1.3-5
ii  watchdog    5.16-1+b1

Versions of packages nfs-kernel-server depends on:
ii  keyutils      1.6.1-2
ii  libblkid1     2.36.1-8+deb11u1
ii  libc6         2.31-13+deb11u3
ii  libcap2       1:2.44-1
ii  libsqlite3-0  3.34.1-3
ii  libtirpc3     1.3.1-1+deb11u1
ii  libwrap0      7.6.q-31
ii  lsb-base      11.1.0
ii  netbase       6.3
ii  nfs-common    1:1.3.4-6
ii  ucf           3.0043
diff --git a/debian/nfs-common.init b/debian/nfs-common.init
index 052de51a..df5d348e 100644
--- a/debian/nfs-common.init
+++ b/debian/nfs-common.init
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 
 ### BEGIN INIT INFO
 # Provides:          nfs-common
@@ -38,11 +38,9 @@ fi
 AUTO_NEED_GSSD=no
 
 if [ -f /etc/fstab ]; then
-    exec 9<&0 </etc/fstab
-
-    while read DEV MTPT FSTYPE OPTS REST
+    while read -r DEV _ _ OPTS _
     do
-	case $DEV in
+	case "$DEV" in
 	    ''|\#*)
 		continue
 		;;
@@ -57,9 +55,7 @@ if [ -f /etc/fstab ]; then
 	    esac
 	done
 	IFS="$OLDIFS"
-    done
-
-    exec 0<&9 9<&-
+    done </etc/fstab
 fi
 
 case "$NEED_STATD" in
@@ -87,7 +83,7 @@ case "$NEED_GSSD" in
 esac
 
 do_modprobe() {
-    if [ -x /sbin/modprobe -a -f /proc/modules ]
+    if [ -x /sbin/modprobe ] && [ -f /proc/modules ]
     then
         modprobe -q "$1" || true
     fi
@@ -132,6 +128,7 @@ case "$1" in
 		   exit 0
 		fi
 	    fi
+	    # shellcheck disable=SC2086
 	    start-stop-daemon --start --oknodo --quiet \
 		--pidfile /run/rpc.statd.pid \
 	        --exec /sbin/rpc.statd -- $STATDOPTS
@@ -183,6 +180,7 @@ case "$1" in
 			exit 1
 		    fi
 
+		    # shellcheck disable=SC2086
 		    start-stop-daemon --start --oknodo --quiet \
 			    --exec /usr/sbin/rpc.gssd -- $RPCGSSDOPTS
 		    RET=$?
diff --git a/debian/nfs-kernel-server.init b/debian/nfs-kernel-server.init
index e0c51d6b..48cff95d 100644
--- a/debian/nfs-kernel-server.init
+++ b/debian/nfs-kernel-server.init
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 
 ### BEGIN INIT INFO
 # Provides:          nfs-kernel-server
@@ -38,7 +38,7 @@ fi
 . /lib/lsb/init-functions
 
 do_modprobe() {
-    if [ -x /sbin/modprobe -a -f /proc/modules ]
+    if [ -x /sbin/modprobe ] && [ -f /proc/modules ]
     then
         modprobe -q "$1" || true
     fi
@@ -66,6 +66,7 @@ case "$1" in
 			export_files="$export_files $file"
 		fi
 	done
+	# shellcheck disable=SC2086
 	if [ -f /etc/exports ] && grep -q '^[[:space:]]*[^#]*/' $export_files
 	then
 		do_modprobe nfsd
@@ -111,7 +112,7 @@ case "$1" in
 		ClearAddr=
 		if [ -f /proc/net/rpc/auth.unix.ip/channel ]
 		then
-		    fgrep -qs 127.0.0.1 /proc/net/rpc/auth.unix.ip/content || {
+		    grep -F -qs 127.0.0.1 /proc/net/rpc/auth.unix.ip/content || {
 			echo "nfsd 127.0.0.1 2147483647 localhost" >/proc/net/rpc/auth.unix.ip/channel
 			ClearAddr=yes
 		    }

Attachment: signature.asc
Description: PGP signature


--- End Message ---
--- Begin Message ---
Source: nfs-utils
Source-Version: 1:2.6.3-1
Done: Salvatore Bonaccorso <carnil@debian.org>

We believe that the bug you reported is fixed in the latest version of
nfs-utils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 1017869@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated nfs-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 09 Jul 2023 10:34:04 +0200
Source: nfs-utils
Architecture: source
Version: 1:2.6.3-1
Distribution: unstable
Urgency: medium
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Closes: 1014429 1017869
Changes:
 nfs-utils (1:2.6.3-1) unstable; urgency=medium
 .
   [ Andreas Hasenack ]
   * Rely on the generator units for the rpc_pipefs mount (Closes: #1014429)
     - d/p/always-run-generator.patch: run the generator even if the config
       differs from the built-in default
     - d/rules: exclude the units we will let the generator produce
 .
   [ Ben Hutchings ]
   * Remove obsolete postinst upgrade logic and nfsconvert.py
   * init: Remove support for setting command-line options in /etc/default
   * d/salsa-ci.yml: Add shellcheck job
   * start-statd: Fix shellcheck warnings
   * init: Fix shellcheck warnings and info, thanks to наб (Closes: #1017869)
   * d/*.bug-script: Fix redundant use of cat noted by shellcheck
 .
   [ Salvatore Bonaccorso ]
   * Upload to unstable
Checksums-Sha1: 
 22afaf33001168931274bd7b6b67202cce6cb742 2554 nfs-utils_2.6.3-1.dsc
 52e1d5d9abc884468bede968f4e534941bc9a459 47368 nfs-utils_2.6.3-1.debian.tar.xz
Checksums-Sha256: 
 6adf2f33596083e13e426d9775879216950d796594bfd850d0ad18eb8bf2ed3b 2554 nfs-utils_2.6.3-1.dsc
 7a0f2aa94dffba934ee00d76e07137216a84157c69de720cd4c3441b7bed3a8a 47368 nfs-utils_2.6.3-1.debian.tar.xz
Files: 
 760d14d5d6fc95f0e7f19f5b6163aff7 2554 net optional nfs-utils_2.6.3-1.dsc
 813e5eedb058311bd35f43410e2070d6 47368 net optional nfs-utils_2.6.3-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQKmBAEBCgCQFiEERkRAmAjBceBVMd3uBUy48xNDz0QFAmSqcYxfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDQ2
NDQ0MDk4MDhDMTcxRTA1NTMxRERFRTA1NENCOEYzMTM0M0NGNDQSHGNhcm5pbEBk
ZWJpYW4ub3JnAAoJEAVMuPMTQ89EZTEP/RUcublUhh8NZlZHyP3yKuJ3gtUyt0rJ
42ZYpJuF223xOLRa6usjYpeLvgGuEJN9MAx1edJjmhl4cCa2QotpwMDVtu+/6XCm
eq9ue0qAKK0/pNU6gCbl5jPZyRGR4oFoMo4Yai5N/WZX2cvgkSqH288I5uDbbpeL
cYh9t6ilKIk/UiGBBxILhSaNcWM7+mVNLZhcwdoaOp6UovaNs/+xROmDBy++PHOf
sSGsqV8sKRjEocy+TzoYLH2LfzFA/Al+RtQv4Lnko8R4KQAsJxqqgh7ItIHncGV2
S+R+FQiAlP/Sm2UqyXuMAD/hD4RogrD9TGmTfqXQUVnLIDToEkUi896vbtEzerU5
jMPiMh74lh0jw0cXyezVAVaV3/uJlkus5wzmI/SmENrK4Rl3NjObvaenHiqXu1wS
wt0NQnm4DcZ8XEpHe8ZT4G2Zwu2p4Kwvf3mjRYzwPyk5cr5o/4nMs5wVNQkeQyqr
Lu1R7T0nY1X3JYSjichTHjPOnEp//XBNd31RaUxYtBwaFiadIkQp6xNw0u9stcZb
FOOiVP9mzkPtXwms0aXUyde8dIFy2UsYAZMF2YjS/XpTLIsOVVG8DqYvnRvErM4b
uu+jmMWRoCYUcScG+IaGTFJQPkeYPtzhikH4j9sxueSPR3StSZdAZp/1CC4B5ztP
di+jvKxoChwr
=3MCv
-----END PGP SIGNATURE-----

--- End Message ---

Reply to: